<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_04_addcontent() */
/* タブのスラグ haumenu_define_tab_slug_04_addcontent() */
/* $option_name 設定名 haumenu_define_option_name_04_addcontent() */
/* get_option GetOP04_addcontent() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_04_addcontent( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_addcontent';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_04_addcontent();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		$set_name . 'use-sticky-header' => array(
			// 固定ヘッダーを表示させる
			'.fix-header-contents-width-wrapper', // コンテンツの幅
			'.sticky-header-reuse-id-wrapper', // 固定ヘッダーの再利用ブロックID
			'.sticky-header-s-title-alt-text-wrapper', // 固定ヘッダーのサイトタイトル書き換え
			'.sticky-header-s-descri-alt-text-wrapper', // 固定ヘッダーのキャッチフレーズ書き換え
			'.sticky-header-contents-a-color-wrapper', // リンクの文字色
			'.sticky-header-title-text-size-wrapper', // タイトルの大きさ
			'.sticky-header-catch-text-size-wrapper', // キャッチフレーズの大きさ
			'.sticky-header-site-icon-size-wrapper', // サイトアイコンの大きさ
			'.sticky-header-bg-color-wrapper', // 固定ヘッダーの背景色
			'.sticky-header-bg-opacity-wrapper', // 背景の不透明度
			'.sticky-header-start-position-wrapper', // 表示を開始する距離
			'.sticky-header-fadein-speed-wrapper', // フェードインの速度
			'.sticky-header-fadeout-speed-wrapper', // フェードアウトの速度
			'.use-sticky-header_offset-wrapper', // 見出しへのページ内リンク遷移時にオフセットさせる
		),

		$set_name . 'use-sticky-header_offset' => array(
			// 見出しへのページ内リンク遷移時にオフセットさせる
			'.sticky-header-scroll-offset-val-wrapper', // オフセット量
		),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_04_addcontent', 20 );

/*** 固定ヘッダーを表示させる ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_use_sticky_header(){
//項目の追加
	add_settings_field(
		'use-sticky-header', // 設定名
		__('Show Sticky Header','hima-art-utility'), // 設定タイトル
		'haumenu_is_use_sticky_header', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_use_sticky_header' );

/* 入力フォーム */
function haumenu_is_use_sticky_header() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'use-sticky-header'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('When enabled, a fixed header is displayed','hima-art-utility'); ?></p>
</label>
<?php
}

/* コンテンツの幅 */
/* 項目の追加とデータの更新 */
function haumenu_init_field_fix_header_contents_width(){
//項目の追加
	add_settings_field(
		'fix-header-contents-width', // 設定名
		__('Content display width','hima-art-utility'), // 設定タイトル
		'haumenu_fix_header_contents_width', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_fix_header_contents_width' );

/* 入力フォーム */
function haumenu_fix_header_contents_width() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'fix-header-contents-width'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="fix-header-contents-width-wrapper">
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
<option value='1' <?php selected($selected , 1 ); ?> selected ><?php esc_html_e('display full screen','hima-art-utility'); ?></option>
<option value='2' <?php selected($selected , 2 ); ?>><?php esc_html_e('Fit content width','hima-art-utility'); ?></option>
</select>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('View detailed description','hima-art-utility'); ?></summary>
<div class="accordion__content">
<h4><?php esc_html_e('If you select "Display in full screen"','hima-art-utility'); ?></h4>
<p><?php esc_html_e('Displays the header content across the entire width of the screen, regardless of screen resolution.','hima-art-utility'); ?></p>
<p style="color:red;"><?php esc_html_e('Content may stretch when viewed on a large display','hima-art-utility'); ?></p>
<h4><?php esc_html_e('If you select "Fit to content width"','hima-art-utility'); ?></h4>
<p><?php esc_html_e('Fit content to site width','hima-art-utility'); ?></p>
<p style="color:red;"><?php esc_html_e('The left and right margins of the content will increase when viewed on a large display.','hima-art-utility'); ?></p>
<p style="color:red"><?php esc_html_e('The screen width is automatically calculated from the width specified in the wide global style or the wideSize value in theme.json, so it only works properly with block themes.','hima-art-utility'); ?></p>
</div>
</details>
</div>
<?php
}

/*** 固定ヘッダーの再利用ブロックID ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_reuse_id(){
//項目の追加
	add_settings_field(
		'sticky-header-reuse-id', // 設定名
		__('Fixed Header Reuse Block ID','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_reuse_id', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_reuse_id' );

/* 入力フォーム */
function haumenu_sticky_header_reuse_id() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-reuse-id'; //個別配列名
?>
<div class="sticky-header-reuse-id-wrapper">
<label>
	<input class="transform" pattern="^[1-9][0-9]*$" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Enter the ID of the reuse block to be displayed in the fixed header','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('*If not entered, the site icon, site name, and tagline will be displayed','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 固定ヘッダーのサイトタイトル書き換え ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_s_title_alt_text(){
//項目の追加
	add_settings_field(
		'sticky-header-s-title-alt-text', // 設定名
		__('Alternate string for site title','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_s_title_alt_text', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_s_title_alt_text' );

/* 入力フォーム */
function haumenu_sticky_header_s_title_alt_text() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'sticky-header-s-title-alt-text'; //個別配列名
?>
<div class="sticky-header-s-title-alt-text-wrapper">
<label>
	<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="1" ><?php echo esc_attr( $options[ $option_name ] ?? '' ); ?></textarea>
	<p><?php esc_html_e('If you want to display a character string other than "Site Title" in the WordPress settings in the site title display part output to the fixed header, enter the character string here','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span><?php esc_html_e('If there is no input, the "site title" in the WordPress settings will be output.','hima-art-utility'); ?></span>
	<br>
	<span><?php esc_html_e('If "Fixed Header Reuse Block ID" is specified, the content entered in this field will be ignored and the contents of the reuse block will be displayed','hima-art-utility'); ?></span>
</p>
</div>
<?php
}

/*** 固定ヘッダーのキャッチフレーズ書き換え ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_s_descri_alt_text(){
//項目の追加
	add_settings_field(
		'sticky-header-s-descri-alt-text', // 設定名
		__('Alternative string for tagline','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_s_descri_alt_text', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_s_descri_alt_text' );

/* 入力フォーム */
function haumenu_sticky_header_s_descri_alt_text() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'sticky-header-s-descri-alt-text'; //個別配列名
?>
<div class="sticky-header-s-descri-alt-text-wrapper">
<label>
	<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="3" ><?php echo esc_attr( $options[ $option_name ] ?? '' ); ?></textarea>
	<p><?php esc_html_e('If you want to display a string other than the "Catchphrase" in the WordPress settings in the Catchphrase display part that is output to the fixed header, enter the string here.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
		<?php esc_html_e('If there is no input, the "Catchphrase" in the WordPress settings will be output.','hima-art-utility'); ?>
	</span>
	<br>
	<span>
		<?php esc_html_e('If "Fixed Header Reuse Block ID" is specified, the content entered in this field will be ignored and the contents of the reuse block will be displayed','hima-art-utility'); ?>
	</span>
</p>
</div>
<?php
}

/*** リンクの文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_contents_a_color(){
//項目の追加
	add_settings_field(
		'sticky-header-contents-a-color', // 設定名
		__('Text Link Color','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_contents_a_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_contents_a_color' );

/* 入力フォーム */
function haumenu_sticky_header_contents_a_color() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-contents-a-color'; //個別配列名
?>
<div class="sticky-header-contents-a-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#ffffff" data-default-color="#ffffff">
</label>
<p><?php esc_html_e('Sets the link text color in fixed headers (overrides block link color)','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('default is white (#fff)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** タイトルの大きさ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_title_text_size(){
//項目の追加
	add_settings_field(
		'sticky-header-title-text-size', // 設定名
		__('Title Font Size','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_title_text_size', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_title_text_size' );

/* 入力フォーム */
function haumenu_sticky_header_title_text_size() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'sticky-header-title-text-size'; //個別配列名
?>
<div class="sticky-header-title-text-size-wrapper">
<label>
	<input class="transform" pattern="^([1-9]\d*|0)(\.\d+)?$" maxlength="3" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Specify the font size of the title in rem units when not using reusable blocks (enter 1 for 1rem)','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, 1.2rem will be applied','hima-art-utility'); ?></p>
</div>
<?php
}

/*** キャッチフレーズの大きさ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_catch_text_size(){
//項目の追加
	add_settings_field(
		'sticky-header-catch-text-size', // 設定名
		__('Catchphrase Font Size','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_catch_text_size', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_catch_text_size' );

/* 入力フォーム */
function haumenu_sticky_header_catch_text_size() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'sticky-header-catch-text-size'; //個別配列名
?>
<div class="sticky-header-catch-text-size-wrapper">
<label>
	<input class="transform" pattern="^([1-9]\d*|0)(\.\d+)?$" maxlength="3" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Specify the font size of the catchphrase in rem units when not using reusable blocks (enter 1 for 1rem)','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, 0.9rem will be applied','hima-art-utility'); ?></p>
</div>
<?php
}

/*** サイトアイコンの大きさ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_site_icon_size(){
//項目の追加
	add_settings_field(
		'sticky-header-site-icon-size', // 設定名
		__('Site Icon Size','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_site_icon_size', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_site_icon_size' );

/* 入力フォーム */
function haumenu_sticky_header_site_icon_size() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'sticky-header-site-icon-size'; //個別配列名
?>
<div class="sticky-header-site-icon-size-wrapper">
<label>
	<input class="transform" pattern="^([1-9]\d*|0)(\.\d+)?$" maxlength="3" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Specify the size of the site icon in rem units when not using reusable blocks (enter 1 for 1rem)','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, 0.8rem will be applied','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 固定ヘッダーの背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_bg_color(){
//項目の追加
	add_settings_field(
		'sticky-header-bg-color', // 設定名
		__('Background Color','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_bg_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_bg_color' );

/* 入力フォーム */
function haumenu_sticky_header_bg_color() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-bg-color'; //個別配列名
?>
<div class="sticky-header-bg-color-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#000000" data-default-color="#000000">
</label>
<p><?php esc_html_e('Sets the background color of the fixed header','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('default is black (#000000)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 背景の不透明度 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_bg_opacity(){
//項目の追加
	add_settings_field(
		'sticky-header-bg-opacity', // 設定名
		__('background opacity','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_bg_opacity', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_bg_opacity' );

/* 入力フォーム */
function haumenu_sticky_header_bg_opacity() {
	$set_name = haumenu_define_option_name_04_addcontent();; //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-bg-opacity'; //個別配列名
?>
<div class="sticky-header-bg-opacity-wrapper">
<label>
	<input class="transform" pattern="^[1-9][0-9]*$" maxlength="3" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
<p><?php esc_html_e('Specify the opacity of the fixed header background color as a percentage Example: 80=80%','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('*The lower the value, the higher the transparency (default is 80%)','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 表示を開始する距離 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_start_position(){
//項目の追加
	add_settings_field(
		'sticky-header-start-position', // 設定名
		__('Position to start displaying','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_start_position', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);
}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_start_position' );

/* 入力フォーム */
function haumenu_sticky_header_start_position() {
	$set_name = haumenu_define_option_name_04_addcontent();; //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-start-position'; //個別配列名
?>
<div class="sticky-header-start-position-wrapper">
<label>
	<input class="transform" pattern="^[1-9][0-9]*$" maxlength="4" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Specifies a real number (200 for 200px) in px units from the top of the page where the fixed header should start displaying','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
		<?php esc_html_e('If blank, 200 (200px) will be set','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
		<?php esc_html_e('After changing this setting, please clear the cache on the front end.','hima-art-utility'); ?>
	</span>
</p>
</div>
<?php
}

/*** フェードインの速度 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_fadein_speed(){
//項目の追加
	add_settings_field(
		'sticky-header-fadein-speed', // 設定名
		__('Fadein Speed','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_fadein_speed', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_fadein_speed' );

/* 入力フォーム */
function haumenu_sticky_header_fadein_speed() {
	$set_name = haumenu_define_option_name_04_addcontent();; //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-fadein-speed'; //個別配列名
?>
<div class="sticky-header-fadein-speed-wrapper">
<label>
	<input class="transform" pattern="^[1-9][0-9]*$" maxlength="4" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('A real number (400 for 400 milliseconds) in milliseconds to fully display the fixed header','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
		<?php esc_html_e('If left blank, 400 milliseconds (400) is set','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
		<?php esc_html_e('After changing this setting, please clear the cache on the front end.','hima-art-utility'); ?>
	</span>
</p>
</div>
<?php
}

/*** フェードアウトの速度 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_fadeout_speed(){
//項目の追加
	add_settings_field(
		'sticky-header-fadeout-speed', // 設定名
		__('Fadeout Speed','hima-art-utility'), // 設定タイトル
		'haumenu_sticky_header_fadeout_speed', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_sticky_header_fadeout_speed' );

/* 入力フォーム */
function haumenu_sticky_header_fadeout_speed() {
	$set_name = haumenu_define_option_name_04_addcontent();; //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-fadeout-speed'; //個別配列名
?>
<div class="sticky-header-fadeout-speed-wrapper">
<label>
	<input class="transform" pattern="^[1-9][0-9]*$" maxlength="4" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('When the fixed header goes out of the display range, specify the speed until it disappears completely in milliseconds with a real number (400 for 400 milliseconds)','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
		<?php esc_html_e('If left blank, 400 milliseconds (400) is set','hima-art-utility'); ?>
	</span>
	<span class="haup-admin-font-red">
		<?php esc_html_e('After changing this setting, please clear the cache on the front end.','hima-art-utility'); ?>
	</span>
</p>
</div>
<?php
}

/*** 見出しへのページ内リンク遷移時にオフセットさせる ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_use_scroll_offset(){
//項目の追加
	add_settings_field(
		'use-sticky-header_offset', // 設定名
		__('Enable scroll offset','hima-art-utility'), // 設定タイトル
		'haumenu_is_use_scroll_offset', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_use_scroll_offset' );

/* 入力フォーム */
function haumenu_is_use_scroll_offset() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'use-sticky-header_offset'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="use-sticky-header_offset-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
</label>
	<p><?php esc_html_e('Adjust so that the fixed header and transition destination content do not overlap when transitioning to a link in the page while the fixed header is displayed.','hima-art-utility'); ?></p>
<p class="haup-admin-bk haup-admin-font-red"><?php esc_html_e('Works only when transitioning to h2-h6 tags','hima-art-utility'); ?></p>
</div>
<?php
}

/*** オフセット量 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_sticky_header_scroll_offset_val(){
//項目の追加
	add_settings_field(
		'sticky-header-scroll-offset-val', // 設定名
		'', // 設定タイトル
		'haumenu_sticky_header_scroll_offset_val', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_04_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_sticky_header_scroll_offset_val' );

/* 入力フォーム */
function haumenu_sticky_header_scroll_offset_val() {
	$set_name = haumenu_define_option_name_04_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'sticky-header-scroll-offset-val'; //個別配列名
?>
<div class="sticky-header-scroll-offset-val-wrapper">
<label>
	<input class="transform" pattern="^[1-9][0-9]*$" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Offset amount','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('Specify the offset amount in px units when link scrolling within the page (enter 100 for 100px). If not entered, 100px will be applied.','hima-art-utility'); ?></p>
</div>
<?php
}